
:root{
    --table-row-gap: 5px;
    --columns-dist: repeat(7, auto);
    --table-header-background-color: rgb(48, 48, 48);
    --table-row-background-color: rgb(39, 39, 39);
    --table-row-gap-color: rgb(104, 104, 104);
    --table-header-gap-color:rgb(95, 95, 95);
}

.container {
    min-width: 100%;
    min-height: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
}

img {
    height: 1em;
    width: 1em;
    padding: 0em 0.8em;
}



.table {
    display: inline-grid;
    /* width: 100%; */
    grid-template-columns: var(--columns-dist);
    padding: 0.5em;
    border-bottom-color: var(--table-header-gap-color);
    border-style: solid;
    border-width: 0.1em;
    background-color: var(--table-row-background-color);
    text-align: center;
    border-top-left-radius: 12px;
    border-top-right-radius: 12px;
    margin: 1em;
}

.table>div{
    padding: 0.5em;
    border-bottom-color: var(--table-row-gap-color);
    border-style: solid;
    border-width: 0.1em;
    border-width: 0 0 0.01em 0;
    transition: all 700ms ease-in;
}

.table-header {
    display: inline-block;
    background-color: var(--table-header-background-color);
    border-style: solid;
    border-width: 0 0 0.05em 0;
    /* font-size: 1.3em; */
    font-weight: bold;
}

.first-item {
    border-top-left-radius: 12px;
}
.last-item {
    border-top-right-radius: 12px;
}

.row:hover {
    background-color: var(--table-row-background-color-hover);
}

.row>div{
    width: 100%;
    text-align: center;
}

a>img, div>img {
    height: 1.8em;
    width: auto;
    padding: 0em 0.7em;
    transition: 400ms ease;
    transform: rotate(0deg);
}

a>img:hover, div>img:hover {
    cursor: pointer;
   transition: 400ms ease;
   transform: rotate(360deg);  
}

.item {
    /* background-color: rgb(104, 104, 104); */
    margin: 0;
    padding: 0.7em;
    transition: 700ms ease;
    cursor: normal;
    display: flex;
    align-items: center;
    border-style: solid;
    border-width: 0 0 0.1em 0;
}

.hoverable:hover {
    background-color: rgb(184, 184, 184);
    color: rgb(90, 90, 90);
}

.items-container {
    /* margin: 1em; */
}


.grayish {
    background-color: rgb(226, 226, 226);
    background-color: transparent;
}